#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"

const int TRIGGER_PIN = 2;
const int serial1 = 4;
const int serial2 = 3;

int trigger = 0;
int playing = 0;

SoftwareSerial mySoftwareSerial(serial1, serial2);

DFRobotDFPlayerMini myDFPlayer;

void setup() {
    pingMode(TRIGGER_PIN, INPUT);

  pinMode(serial1, INPUT);
  pinMode(serial2, OUTPUT);
  
  mySoftwareSerial.begin(9600);
  myDFPlayer.begin(mySoftwareSerial));
  myDFPlayer.volume(30);
}

void loop() {
    trigger = digitalRead(TRIGGER_PIN);
    if(trigger == HIGH && !playing) {
        playing = 1;
        myDFPlayer.play(1);
        delay(2000);
        playing  = 0;
    }
}
